\begin{tikzpicture}[scale=0.85,
    facility/.style={point, fill=Red!75, draw=Black, minimum width = 16pt},
    location/.style={point, color=Black, minimum width = 12pt}
]
    \def\r{2.6cm}
    \node[facility,label=$f_1$] (f1) at (-2,0) {};
    \node[facility,label=$f_2$] (f2) at (2,0) {};

    \node[location,label=$v_1$] (v1) at (-2.5,1.5) {};
    \node[location,label=$v_2$] (v2) at (-1.5,-1) {};
    \node[location,label=$v_3$] (v3) at (0,0.5) {};
    \node[location,label=$v_4$] (v4) at (0,-0.5) {};
    \node[location,label=$v_5$] (v5) at (2.6,1.3) {};
    \node[location,label=$v_6$] (v6) at (2.4,-1.2) {};

    \draw[draw=Red!50] (f1) circle (\r);
    \draw[draw=Red!50] (f2) circle (\r);
\end{tikzpicture}